summaryrefslogtreecommitdiff
path: root/system
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2021-08-25 16:32:27 -0400
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2021-10-13 00:51:43 +0700
commitc7616d1b968f59e8880dd94a75b6de3e9797f51d (patch)
tree35119a1b48b0362764ab3a7aee4b68bc9c7904e5 /system
parentef97bb80afe309126d6ab9ae533e6f78e6ab9e4f (diff)
downloadslackbuilds-c7616d1b968f59e8880dd94a75b6de3e9797f51d.tar.gz
system/fsviewer: Fix build on -current.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/fsviewer/fsviewer.SlackBuild22
-rw-r--r--system/fsviewer/fsviewer.info2
-rw-r--r--system/fsviewer/get-wraster-flags33
3 files changed, 47 insertions, 10 deletions
diff --git a/system/fsviewer/fsviewer.SlackBuild b/system/fsviewer/fsviewer.SlackBuild
index acdb7b6642..ae0c4097a7 100644
--- a/system/fsviewer/fsviewer.SlackBuild
+++ b/system/fsviewer/fsviewer.SlackBuild
@@ -6,11 +6,13 @@
# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+# 20210825 bkw: fix build on -current, BUILD=2.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=fsviewer
VERSION=${VERSION:-0.2.6}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -22,9 +24,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -57,11 +56,8 @@ rm -rf $PRGNAM-app-$VERSION
tar xvf $CWD/$PRGNAM-app-$VERSION.tar.bz2
cd $PRGNAM-app-$VERSION
chown -R root:root .
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
# The WINGs API has changed slightly in the newer versions of WindowMaker
patch -p1 < $CWD/wingsfix.diff
@@ -71,6 +67,14 @@ if [ "${TITLEBAR:-no}" = "yes" ]; then
patch -p1 < $CWD/titlebar.diff
fi
+# dirty hack way to handle this. easier than dealing with autocrap.
+cp $CWD/get-wraster-flags .
+chmod +x get-wraster-flags
+
+# gcc 10+ needs this.
+SLKCFLAGS="$SLKCFLAGS -Wl,--allow-multiple-definition"
+
+PATH=".:$PATH" \
LIBS="-lWUtil -lX11 -lm -lXpm" \
CFLAGS="$SLKCFLAGS -std=gnu89" \
CXXFLAGS="$SLKCFLAGS" \
diff --git a/system/fsviewer/fsviewer.info b/system/fsviewer/fsviewer.info
index 85c54c0d81..7da9ea15ac 100644
--- a/system/fsviewer/fsviewer.info
+++ b/system/fsviewer/fsviewer.info
@@ -1,7 +1,7 @@
PRGNAM="fsviewer"
VERSION="0.2.6"
HOMEPAGE="http://web.archive.org/web/20120104193413/http://www.bayernline.de/~gscholz/linux/fsviewer/"
-DOWNLOAD="http://distfiles.gentoo.org/distfiles/fsviewer-app-0.2.6.tar.bz2"
+DOWNLOAD="https://slackware.uk/~urchlay/src/fsviewer-app-0.2.6.tar.bz2"
MD5SUM="cf55ccb04b635250a647aafee69e2026"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
diff --git a/system/fsviewer/get-wraster-flags b/system/fsviewer/get-wraster-flags
new file mode 100644
index 0000000000..ed245b9531
--- /dev/null
+++ b/system/fsviewer/get-wraster-flags
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# [Christophe CURIS, 2015/01/31]
+# This script is now reporting itself as deprecated (this should have been done
+# a long time ago), so it should be kept for at least 2 years from now in order
+# to allow users to update their scripts, and then removed.
+
+if test $# -eq 0; then
+ echo "Error: $0 is deprecated, please use 'pkg-config wrlib ...'" >&2
+ exit 1
+fi
+
+while test $# -gt 0; do
+ case $1 in
+ --cflags)
+ echo "Warning: $0 is deprecated, please use 'pkg-config wrlib --cflags'" >&2
+ pkg-config wrlib --cflags
+ ;;
+ --ldflags|--lflags)
+ echo "Warning: $0 is deprecated, please use 'pkg-config wrlib --libs'" >&2
+ pkg-config wrlib --libs-only-L
+ ;;
+ --libs)
+ echo "Warning: $0 is deprecated, please use 'pkg-config wrlib --libs'" >&2
+ pkg-config wrlib --libs
+ ;;
+ *)
+ echo "Error: $0 is deprecated, please use 'pkg-config wrlib ...'" >&2
+ exit 1
+ ;;
+ esac
+ shift
+done